GWT 2.7.0

## com.google.gwt.core.ext
Class TreeLogger.HelpInfo

    java.lang.Object
      com.google.gwt.core.ext.TreeLogger.HelpInfo

Enclosing class:
  TreeLogger

    public abstract static class TreeLogger.HelpInfo

extends java.lang.Object

Provides extra information to the user, generally details of what caused the problem or what the user should do to fix the problem. How this information is interpreted and displayed is implementation-dependent.

Constructor Summary
`TreeLogger.HelpInfo()`

Method Summary
`java.lang.String` | `getAnchorText()`
`java.lang.String` | `getPrefix()`
`java.net.URL` | `getURL()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeLogger.HelpInfo

    public TreeLogger.HelpInfo()

Method Detail

### getAnchorText

    public java.lang.String getAnchorText()

  Returns:
    the text to use for an anchor if not null and getURL is non-null.

### getPrefix

    public java.lang.String getPrefix()

  Returns:
    the prefix to go before the link.

### getURL

    public java.net.URL getURL()

  Returns:
    a URL containing extra information about the problem, or null if none.

GWT 2.7.0